Library
=======


.. py:currentmodule:: pyrudof

rudof provides Python bindings for performing RDF-related operations.


`RudofConfig`
"""""""""""""
.. autoclass:: RudofConfig
    :members:


`Rudof`
"""""""
.. autoclass:: Rudof
    :members:


`DCTAPFormat`
"""""""""""""
.. autoclass:: DCTAPFormat
    :members:


`ShapeMapFormat`
""""""""""""""""
.. autoclass:: ShapeMapFormat
    :members:


`ShapeMapFormat`
""""""""""""""""
.. autoclass:: ShapeMapFormat
    :members:


`ShExFormat`
""""""""""""
.. autoclass:: ShExFormat
    :members:


`ShaclFormat`
"""""""""""""
.. autoclass:: ShaclFormat
    :members:


`ShExFormatter`
"""""""""""""""
.. autoclass:: ShExFormatter
    :members:


`ShapeMapFormatter`
"""""""""""""""""""
.. autoclass:: ShapeMapFormatter
    :members:


`UmlGenerationMode`
"""""""""""""""""""
.. autoclass:: UmlGenerationMode
    :members:


`ShExSchema`
""""""""""""
.. autoclass:: ShExSchema
    :members:


`DCTAP`
"""""""
.. autoclass:: DCTAP
    :members:


`QueryShapeMap`
"""""""""""""""
.. autoclass:: QueryShapeMap
    :members:


`ShaclSchema`
"""""""""""""
.. autoclass:: ShaclSchema
    :members:


`ShaclValidationMode`
"""""""""""""""""""""
.. autoclass:: ShaclValidationMode
    :members:


`ShapesGraphSource`
"""""""""""""""""""
.. autoclass:: ShapesGraphSource
    :members:


`ResultShapeMap`
""""""""""""""""
.. autoclass:: ResultShapeMap
    :members:


`ValidationReport`
""""""""""""""""""
.. autoclass:: ValidationReport
    :members:


`ValidationStatus`
""""""""""""""""""
.. autoclass:: ValidationStatus
    :members: